[Android - Java] API 30 methods will not work in lower API levels

Hi there guys,

I was just wondering if I were to remove a deprecated function or item and replace it with the new non-deprecated, if it were to work with the old API versions of android.

The code I am working with:

getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
 getWindow().setFlags(android.view.WindowInsets.Type.STATUS_BARS, android.view.WindowInsets.Type.STATUS_BARS);

Thanks,
Gab

1 Like